{"templateId":"markdown","versions":[],"sharedDataIds":{"sidebar":"sidebar-sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["tabs","tab"]},"type":"markdown"},"seo":{"title":"Bearer Authentication","description":"Trackonomy Documentation for External APIs","image":"/assets/trackonomy-logo-black.b2d7af6f03349283c4fbc842022899d45af5159861bee6e5c188670150afc0b4.db81178d.png","meta":[{"name":"og:title","content":"Trackonomy Documentation Portal"},{"name":"og:description","content":"Trackonomy Documentation for External APIs"},{"name":"twitter:description","content":"Trackonomy Documentation for External APIs"}]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"bearer-authentication","__idx":0},"children":["Bearer Authentication"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Trackonomy authenticates API requests using Bearer tokens which are acquired via OAuth. Please ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/external-api/v1.6/authentication/oauth-20"},"children":["see here"]}," for further guidance regarding how to request the token using OAuth."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The token can then be used in the Authorization header with the value of Bearer then a space then your token string."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-requests","__idx":1},"children":["Example requests"]},{"$$mdtype":"Tag","name":"Tabs","attributes":{"size":"medium"},"children":[{"$$mdtype":"Tag","name":"TabItemFragment","attributes":{"label":"cURL","disable":false},"children":[{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"curl","header":{"controls":{"copy":{}}},"source":"curl 'https://{API_URL}' \\\n  --header 'Authorization: Bearer TOKEN'\n","lang":"curl"},"children":[]}]},{"$$mdtype":"Tag","name":"TabItemFragment","attributes":{"label":"JavaScript","disable":false},"children":[{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"javascript","header":{"controls":{"copy":{}}},"source":"await fetch('https://{API_URL}', {\n  headers: {\n    Authorization: 'Bearer TOKEN'\n  },\n});\n","lang":"javascript"},"children":[]}]}]}]},"headings":[{"value":"Bearer Authentication","id":"bearer-authentication","depth":1},{"value":"Example requests","id":"example-requests","depth":3}],"frontmatter":{"rbac":{"admin":"admin","external_developers":"read","anonymous":"read"},"seo":{"title":"Bearer Authentication"}},"lastModified":"2026-03-24T14:51:20.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/external-api/v1.6/authentication/bearer-authentication","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}